# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-08-27 20:20
from __future__ import unicode_literals

import ckeditor.fields
from django.db import migrations, models
import embed_video.fields
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    dependencies = [
        ('common', '0006_settingsproxy'),
    ]

    operations = [
        migrations.CreateModel(
            name='DocumentAboutCompany',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='заголовок')),
                ('doc', models.ImageField(max_length=255, upload_to='', verbose_name='файл')),
            ],
            options={
                'verbose_name': 'документ',
                'verbose_name_plural': 'документы',
            },
        ),
        migrations.CreateModel(
            name='VideoReviewAboutCompany',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('video', embed_video.fields.EmbedVideoField(verbose_name='видео')),
                ('title', models.CharField(max_length=255, verbose_name='заголовок')),
                ('subtitle', models.CharField(max_length=255, verbose_name='подзаголовок')),
            ],
            options={
                'verbose_name': 'видео отзыв',
                'verbose_name_plural': 'видео отзывы',
            },
        ),
        migrations.DeleteModel(
            name='ContactsProxy',
        ),
        migrations.DeleteModel(
            name='SettingsProxy',
        ),
        migrations.DeleteModel(
            name='SiteAboutProxy',
        ),
        migrations.CreateModel(
            name='AboutCompany',
            fields=[
            ],
            options={
                'verbose_name': 'о компании',
                'verbose_name_plural': 'о компании',
                'indexes': [],
                'proxy': True,
            },
            bases=('common.siteconfiguration',),
        ),
        migrations.CreateModel(
            name='Contacts',
            fields=[
            ],
            options={
                'verbose_name': 'контакты',
                'verbose_name_plural': 'контакты',
                'indexes': [],
                'proxy': True,
            },
            bases=('common.siteconfiguration',),
        ),
        migrations.CreateModel(
            name='Settings',
            fields=[
            ],
            options={
                'verbose_name': 'настройки',
                'verbose_name_plural': 'настройки',
                'indexes': [],
                'proxy': True,
            },
            bases=('common.siteconfiguration',),
        ),
        migrations.AlterModelOptions(
            name='siteconfiguration',
            options={'verbose_name': 'настройки'},
        ),
        migrations.AddField(
            model_name='siteconfiguration',
            name='company_story',
            field=ckeditor.fields.RichTextField(blank=True, default='', verbose_name='история компании'),
        ),
        migrations.AddField(
            model_name='siteconfiguration',
            name='rules_guarantee',
            field=ckeditor.fields.RichTextField(blank=True, default='', verbose_name='гарантия'),
        ),
        migrations.AddField(
            model_name='siteconfiguration',
            name='rules_return',
            field=ckeditor.fields.RichTextField(blank=True, default='', verbose_name='условия возврата'),
        ),
        migrations.AlterField(
            model_name='siteconfiguration',
            name='address',
            field=models.CharField(blank=True, default='', max_length=1024, verbose_name='адрес'),
        ),
        migrations.AlterField(
            model_name='siteconfiguration',
            name='email',
            field=models.EmailField(blank=True, default='', max_length=254, verbose_name='почта'),
        ),
        migrations.AlterField(
            model_name='siteconfiguration',
            name='gps_nav',
            field=models.CharField(blank=True, default='', max_length=1128, verbose_name='данные GPS-навигатора'),
        ),
        migrations.AlterField(
            model_name='siteconfiguration',
            name='maintenance_mode',
            field=models.BooleanField(default=False, verbose_name='режим технической поддержки'),
        ),
        migrations.AlterField(
            model_name='siteconfiguration',
            name='networks_facebook',
            field=models.URLField(blank=True, default='', verbose_name='ссылка на Facebook'),
        ),
        migrations.AlterField(
            model_name='siteconfiguration',
            name='networks_instagram',
            field=models.URLField(blank=True, default='', verbose_name='ссылка на Instagram'),
        ),
        migrations.AlterField(
            model_name='siteconfiguration',
            name='phone',
            field=phonenumber_field.modelfields.PhoneNumberField(blank=True, default='', max_length=128, verbose_name='номер телефона'),
        ),
        migrations.AlterField(
            model_name='siteconfiguration',
            name='send_notify_on_mail',
            field=models.BooleanField(default=False, verbose_name='высылать уведомления на почту'),
        ),
        migrations.AlterField(
            model_name='siteconfiguration',
            name='whatsapp',
            field=models.CharField(max_length=30, verbose_name='номер WhatsApp'),
        ),
    ]
